<?xml version="1.0" encoding="utf-8"?>
<!-- ======================================================================== -->
<!-- xbel2treeview.xsl transforme un format XBEL en XHTML                 -->
<!-- C. COMPAGNON, 2011-11-13                                                 -->  
<!-- version : 1.0                                                            -->
<!-- ======================================================================== -->
<xsl:transform 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns="http://www.w3.org/1999/xhtml"
version="2.0"
id="xbel2treeview">

<xsl:output
method="xhtml"
encoding="utf-8"
indent="yes"/>

<xsl:template match="/">
<html>
<head>
<title><xsl:value-of select="/xbel/title"/></title>
<!-- ajoutez ici vos CSS -->

<!-- -->
<meta http-equiv="Content-Type" content="application/xhtml+xml;charset=utf-8"/>
</head>
<body>
<h1><xsl:value-of select="/xbel/title"/></h1>
<ul id="bookmark">
<xsl:apply-templates/>
</ul>
</body>
</html>
</xsl:template>

<xsl:template match="folder">
<xsl:variable name="folder.title" select="./title"/>
<xsl:variable name="bookmark.root" select="./bookmark[title = $folder.title]"/>
<section>
<li>
<p>
<xsl:choose>
<xsl:when test="count($bookmark.root) = 1">
<a>
<xsl:attribute name="href"><xsl:value-of select="$bookmark.root/@href"/></xsl:attribute>
<xsl:attribute name="title"><xsl:value-of select="$bookmark.root/desc"/></xsl:attribute>
<xsl:value-of select="$folder.title"/>
</a>
</xsl:when>
<xsl:otherwise><xsl:value-of select="$folder.title"/></xsl:otherwise>
</xsl:choose>
</p>
<ul><xsl:apply-templates/></ul>
</li>
</section>
</xsl:template>

<xsl:template match="bookmark">
<xsl:variable name="bookmark.title" select="./title"/>
<xsl:variable name="folder.parent" select="parent::node()[title=$bookmark.title]"/>
<xsl:if test="count($folder.parent)=0">
<li>
<p>
<a>
<xsl:attribute name="href"><xsl:value-of select="@href"/></xsl:attribute>
<xsl:attribute name="title"><xsl:value-of select="desc"/></xsl:attribute>
<xsl:value-of select="./title"/>
</a>
</p>
</li>
</xsl:if>
</xsl:template>

<xsl:template match="text()"/>
</xsl:transform>