<?xml version="1.0" encoding="utf-8"?>
<!-- ======================================================================== -->
<!-- xbel2sitemap.xsl transforme le format XBEL en Google sitemap             -->
<!-- C. COMPAGNON, 2011-11-13                                                 -->  
<!-- version : 1.0                                                            -->
<!-- ======================================================================== -->
<xsl:transform
xmlns="http://www.google.com/schemas/sitemap/0.84"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:xs="http://www.w3.org/2001/XMLSchema"
exclude-result-prefixes="xs"
version="2.0"
id="xbel2sitemap">

<xsl:output
method="xml"
encoding="utf-8"
indent="yes"/>

<xsl:variable name="now" select="xs:string(current-dateTime())"/>

<xsl:template match="/">
<urlset>
<xsl:apply-templates/>
</urlset>
</xsl:template>

<xsl:template match="bookmark">
<xsl:comment><xsl:value-of select="position()"/></xsl:comment>
<url>
<loc><xsl:value-of select="@href"/></loc>
<lastmod><xsl:choose>
<xsl:when test="string-length(@modified) > 0"><xsl:value-of select="substring(@modified,1,10)"/></xsl:when> <!-- normalement date au format d'origine yyyy-mm-ddThh:mm:ss qu'on transforme en yyyy-mm-dd -->
<xsl:when test="string-length(@added) > 0"><xsl:value-of select="substring(@added,1,10)"/></xsl:when> <!-- normalement date au format d'origine yyyy-mm-ddThh:mm:ss qu'on transforme en yyyy-mm-dd -->
<xsl:otherwise><xsl:value-of select="substring($now,1,10)"/></xsl:otherwise> <!-- date du jour au format yyyy-mm-dd -->
</xsl:choose></lastmod>
</url>
</xsl:template>

<xsl:template match="text()"/>
</xsl:transform>